MySagePay
Login >

Protocol 3.00 Banner in MySagePay

Recently we have made changes to your MySagePay that identifies which version of our protocol you are using. 

If you are using an older version of our protocol – 2.2, 2.21, 2.22, or 2.23 to process your transactions you will see a banner across the top of your MySagePay admin panel with the message –

What does this mean for me?

The reason this banner appears within your MySagePay account is because your transactions are being processed using a protocol that is not the most up to date.

By processing transactions using the older versions of the protocol you are not getting the most out of your Sage pay account.

For all information on our newest protocol have a look at the benefits of upgrading to protocol 3.00.

Am I still able to process transactions?

The banner is being displayed to you to highlight that you are using an older version of our protocols, not that you are unable to process transactions.

You will still be able to process your transactions as you normally would.

If I can still transact why should I upgrade?

As with any type of integration we release new updates to include new features, and changes to older validation to improve both yours and your shoppers experience when processing transactions.

Protocol 3.00 offers you the most up to date integration with Sage Pay.  Along with improved integration protocol 3.00 also includes all of the latest enhancements we have made to our systems.

Since the introduction of protocol 3.00 all of the older versions of our protocol will not receive any further developmental work.  They will remain in their current state and not be upgraded, or improved in any way.

How do I upgrade?

In order to upgrade to protocol 3.00 you will first need to download a copy of our latest protocol and integration guides.

Next, you will need to ensure that the fields you are sending with your transactions are in line with the newest version of the protocol.

If you have a web developer or you are using an off the shelf shopping cart you will need to speak with them directly.  They will then be able to carry out the work and upgrade your integration.